Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.tsp
Class CryptoInfos

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.tsp.CryptoInfos

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CryptoInfos
extends ASN1Object

Implementation of the CryptoInfos element defined in RFC 4998:

CryptoInfos ::= SEQUENCE SIZE (1..MAX) OF Attribute

Constructor Summary
`CryptoInfos(Attribute[] attrs)`

Method Summary
`Attribute[]` | `getAttributes()`
`static CryptoInfos` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static CryptoInfos` | `getInstance(java.lang.Object obj)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CryptoInfos

    public CryptoInfos(Attribute[] attrs)

Method Detail

### getInstance

    public static CryptoInfos getInstance(java.lang.Object obj)

### getInstance

    public static CryptoInfos getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

### getAttributes

    public Attribute[] getAttributes()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD